Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class DiagramColorsAndFontsPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
                      org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ShapeColorsAndFontsPropertySection
                          org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.DiagramColorsAndFontsPropertySection

All Implemented Interfaces:
  ISection

    public class DiagramColorsAndFontsPropertySection

extends ShapeColorsAndFontsPropertySection

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`ColorsAndFontsPropertySection.ColorOverlayImageDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`colorsAndFontsGroup, DEFAULT_PREF_COLOR, FILL_COLOR_COMMAND_NAME, fillColor, fillColorButton, FONT_COLOR_COMMAND_NAME, FONT_COMMAND_NAME, fontColor, fontColorButton, fontFamilyCombo, FONTS_AND_COLORS_LABEL, LINE_COLOR_COMMAND_NAME, lineColor, lineColorButton, previousColor`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`DiagramColorsAndFontsPropertySection()`

Method Summary
`protected org.eclipse.emf.ecore.EObject` `adapt(java.lang.Object object)` Adapt the object to an EObject - if possible
`protected void` `changeFillColor()` Change fill color property value
`protected java.util.Iterator` `getInputIterator()`
`org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart` `getSingleInput()` Returns currently selected view object

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ShapeColorsAndFontsPropertySection
`changeFillColor, createFontsGroup, refresh, updateColorCache`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`changeColor, changeColor, changeFontColor, changeLineColor, createFontsAndColorsGroups, dispose, disposeImage, initializeControls, setInput, update, updateFontBold, updateFontFamily, updateFontItalic, updateFontSize`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`createControls, getAllNameLabels, getLabelProvider, getStandardLabelWidth, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramColorsAndFontsPropertySection

    public DiagramColorsAndFontsPropertySection()

Method Detail

### getInputIterator

    protected java.util.Iterator getInputIterator()

  Overrides:
    `getInputIterator` in class `ColorsAndFontsPropertySection`
  Returns:
    - an itertor object to iterate over the selected/input edit parts

### getSingleInput

    public org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart getSingleInput()

  Description copied from class: `AbstractNotationPropertiesSection`
  Returns currently selected view object

  Overrides:
    `getSingleInput` in class `AbstractNotationPropertiesSection`
  Returns:
    Returns the input.

### changeFillColor

    protected void changeFillColor()

  Change fill color property value

### adapt

    protected org.eclipse.emf.ecore.EObject adapt(java.lang.Object object)

  Adapt the object to an EObject - if possible

  Overrides:
    `adapt` in class `AbstractNotationPropertiesSection`
  Parameters:
    `object` - object from a diagram or ME
  Returns:
    EObject

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.